digiKam Developer Documentation: Digikam::MetaEngineSettingsContainer Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::MetaEngineSettingsContainer Class Reference

The class MetaEngineSettingsContainer encapsulates all metadata related settings. More...

## Public Types
enum | AlbumDateSource { NewestItemDate = 0 , OldestItemDate , AverageDate , FolderDate , IgnoreDate }
enum | RotationBehaviorFlag { NoRotation = 0 , RotateByInternalFlag = 1 << 0 , RotateByMetadataFlag = 1 << 1 , RotateByLosslessRotation = 1 << 2 , RotateByLossyRotation = 1 << 3 , RotatingFlags = RotateByInternalFlag | RotateByMetadataFlag , RotatingPixels = RotateByLosslessRotation | RotateByLossyRotation }
| Describes the allowed and desired operation when rotating a picture. More...
typedef QFlags< RotationBehaviorFlag > | RotationBehaviorFlags

## Public Member Functions
QStringList | defaultExifToolSearchPaths () const
bool | isMetadataWriteEnabled () const
void | readFromConfig (const KConfigGroup &group)
void | writeToConfig (KConfigGroup &group) const

## Public Attributes
AlbumDateSource | albumDateFrom = OldestItemDate
bool | exifRotate = true
bool | exifSetOrientation = true
QString | exifToolPath
MetaEngine::MetadataWritingMode | metadataWritingMode = MetaEngine::WRITE_TO_FILE_ONLY
bool | readWithExifTool = false
bool | rescanImageIfModified = false
RotationBehaviorFlags | rotationBehavior = RotationBehaviorFlags(RotatingFlags | RotateByLosslessRotation)
bool | saveColorLabel = false
bool | saveComments = false
bool | saveDateTime = false
bool | saveFaceTags = false
bool | savePickLabel = false
bool | savePosition = false
bool | saveRating = false
bool | saveTags = false
bool | saveTemplate = false
QStringList | sidecarExtensions
bool | updateFileTimeStamp = true
bool | useCompatibleFileName = false
bool | useFastScan = false
bool | useLazySync = false
bool | useXMPSidecar4Reading = false
bool | writeDngFiles = false
bool | writeRawFiles = false
bool | writeWithExifTool = false

## Detailed Description

Note
  this allows supply changed arguments to MetadataHub without changing the global settings.

## Member Enumeration Documentation

## ◆ RotationBehaviorFlag

enum Digikam::MetaEngineSettingsContainer::RotationBehaviorFlag

The modes are in escalating order and describe if an operation is allowed. What is actually done will be governed by what is possible: 1) RAW files cannot by rotated by content, setting the metadata may be problematic 2) Read-Only files cannot edited, neither content nor metadata 3) Writable files will have lossy compression 4) Only JPEG and PGF offer lossless rotation Using a contents-based rotation always implies resetting the flag.